<?php
namespace FiloBlu\Newsletter\Model\ThankYou\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
   
    protected $thankYouPage;

    public function __construct(\FiloBlu\Newsletter\Model\ThankYou $thankYouPage)
    {
        $this->thankYouPage = $thankYouPage;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->thankYouPage->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}